Bug 2025872 - VM with a PCI host device and max vCPUs >= 256 fails to start
Summary: VM with a PCI host device and max vCPUs >= 256 fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.4.10
: 4.4.10
Assignee: Milan Zamazal
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On: 2023313
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-23 09:25 UTC by Arik
Modified: 2022-02-08 10:05 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-4.4.10.1
Doc Type: Bug Fix
Doc Text:
Previously, certain CPU topologies caused virtual machines with PCI host devices to fail. In this release, the issue has been fixed.
Clone Of: 2023313
Environment:
Last Closed: 2022-02-08 10:04:44 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHV-44068 0 None None None 2021-11-23 09:26:11 UTC
Red Hat Product Errata RHBA-2022:0461 0 None None None 2022-02-08 10:05:02 UTC
oVirt gerrit 117755 0 ovirt-engine-4.4 MERGED core: Enable IOMMU caching_mode when PCI host devices are present 2021-11-23 12:28:35 UTC

Comment 3 Nisim Simsolo 2022-01-18 17:39:28 UTC
Verified:
ovirt-engine-4.4.10.2-0.1.el8ev
vdsm-4.40.90.4-1.el8ev.x86_64
qemu-kvm-6.0.0-33.module+el8.5.0+13041+05be2dc6.x86_64
libvirt-daemon-7.6.0-6.module+el8.5.0+13051+7ddbe958.x86_64

Verification scenario:
1. Create VM with VFIO and 16 total virtual CPUs (1 socket and 16 cores per socket)
2. Run VM and verify VM is running.
3. Observe VM xml and verify caching=on:
 <iommu model="intel">
            <driver caching_mode="on" eim="on" intremap="on" />
        </iommu>
4. Repeat steps 1-3, this time use 24 CPus and 32 CPUs.

Comment 7 errata-xmlrpc 2022-02-08 10:04:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (RHV Manager (ovirt-engine) [ovirt-4.4.10]), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:0461


Note You need to log in before you can comment on or make changes to this bug.